<%
'###########################################################
'## COPYRIGHT (C) 2003, Metasun Software
'## 
'## For licensing details, lease read the license.txt file 
'## included with MetaTraffic or located at:
'## http://www.metasun.com/products/metatraffic/license.asp
'##
'## All copyright notices regarding MetaTraffic 
'## must remain intact in the scripts and in the 
'## outputted HTML. All text and logos with
'## references to Metasun or MetaTraffic must
'## remain visible when the pages are viewed on 
'## the internet or intranet.
'##
'## For support, please visit http://www.metasun.com
'## and use the support forum.
'###########################################################

' DEFINE VARIABLES
Dim strDatabaseName, strDatabaseLocation, strDatabaseType, strDatabaseUsername
Dim strDatabasePassword, strSiteAliases, intSessionDuration, blnShowGraph, intAnalyzeData
Dim blnLog, intReportChooserSize, strUsername, strPassword, strExcludeIPFromLog
Dim blnExcludeRobots, strInstance, strExcludeIPFromReport, intDeleteAfterDays

' INSTANCE -- SET THIS TO AN UNIQUE VALUE IF YOU WANT TO RUN MULTIPLE INSTANCES
' OF METATRAFFIC ON SQL SERVER (USEFUL FOR SQL SERVER INSTALLATIONS)
' WILL PREFIX ALL TABLES WITH THIS STRING TO MAKE THE LOGGING TABLE UNIQUE
' USE LETTERS, NUMBERS OR UNDERSCORE OR HYPHEN ONLY (MAX 10 CHARACTERS)

strInstance = ""

' --SECURITY--
' PUT USERNAME AND PASSWORD BELOW TO FORCE AUTHENTICATION
' LEAVE BOTH EMPTY AND NO LOGIN IS REQUIRED
' MAX LENGTH - 20 CHARACTERS FOR BOTH
' USERNAME IS NOT CASE SENSITIVE BUT PASSWORD IS CASE SENSITIVE

strUsername = "admin"
strPassword = "admin"

' --MISC SETTINGS--

' SITE ALIASES -- PUT ALL THE DIFFERENT HOSTNAME ALIASES THE SITE USES SEPERATED WITH A COMMA.
' EXAMPLE: www.microsoft.com,microsoft.com
' REMOVES THE SITES LISTED FROM THE REFERRER REPORTS

strSiteAliases = "www.govesa.ind.br, govesa.ind.br"

' PREVENTS LOGGING FOR THE SPECIFIED IP ADDRESSES (SUPPORTS WILDCARD * FOR CLASS B AND C SUBNETS)
' EXAMPLE: 192.168.1.25,10.0.0.*,10.1.*.*

strExcludeIPFromLog	= ""

' DETERMINES WHEN DATA ANALYSIS OCCURS TO CALCULATE INFORMATION SUCH AS
' BROWSER TYPE, ROBOTS, OS, REFERRER, ETC.
' 0 - Never (Not Recommended)
' 1 - When Logging (Default)
' 2 - When Generating Report
' 3 - Both (Logging and Report Generation)

intAnalyzeData	= 1

' DETERMINES WHETHER OR NOT THE REPORT GENERATOR WILL GENERATE GRAPHS
' IF REPORTS ARE RUNNING SLOW, PARTICULARLY THE "BY DATE" REPORTS, SET THIS TO FALSE

blnShowGraph	= True

' EXCLUDE ROBOTS FROM REPORTS

blnExcludeRobots = False

' SESSION DURATION -- NUMBER OF MINUTES THAT A SESSION IS CONSIDERED ACTIVE
' FOR THE WHO'S ONLINE REPORT

intSessionDuration = 60

' TURN LOGGING ON OR OFF
' True - Logging is enabled (Default)
' False - Logging is disabled

blnLog = True

' REPORT SELECTION BOX SIZE
' 1 - 23

intReportChooserSize = 10

' DELETE RECORDS THAT ARE OLDER THAN A NUMBER OF DAYS (0 - NEVER DELETE)
' EXPERIMENTAL FEATURE, MAY SLOW PAGE LOAD TIMES

intDeleteAfterDays = 0

' --DATABASE SETTINGS--

' DATABASE TYPE
' MSACCESS OR MSSQL -- MUST BE TYPED IN WITH NO SPACES OR WILL DEFAULT TO MSACCESS

strDatabaseType		= "MSACCESS"

' DATABASE NAME
' MSACCESS -- INSERT FILE NAME OF DATABASE (EXAMPLE: db.mdb)
' MSSQL -- NAME OF DATABASE (EXAMPLE: MetaTraffic)

strDatabaseName		= "db.mdb"

' DATABASE LOCATION
' MSACCESS -- ENTER PATH TO DATABASE WITH NO TRAILING SLASH (EXAMPLE: /metatraffic OR c:\inetpub\databases)
' MSSQL -- ENTER SQL SERVER NAME OR ADDRESS (EXAMPLE: dataserver OR 192.168.1.50)

strDatabaseLocation	= "/metatraffic"

' DATABASE USERNAME AND PASSWORD REQUIRED FOR AUTHENTICATION
' MSACCESS -- NOT REQUIRED
' MSSQL -- REQUIRED, NOT RECOMMENDED TO USE SA ACCOUNT

strDatabaseUsername = "" 	' USERNAME
strDatabasePassword = "" 	' PASSWORD

' --DATE / TIME FORMATS --

' SET LOCALE ID - CONTROLS DATE/TIME FORMATTING
' COMMON VALUES:
' SERVER DEFAULT - 		2048
' ENGLISH (US) - 		1033
' ENGLISH (UK) -		2057
' ENGLISH (CANADIAN) - 	        4105
' Portugus (BRAZIL) - 	        1046

Session.LCID = 1046

%>